Package org.gradle.language.swift

# Enum SwiftVersion

java.lang.Object
java.lang.Enum<SwiftVersion>
org.gradle.language.swift.SwiftVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<SwiftVersion>`, `java.lang.constant.Constable`

public enum SwiftVersion extends Enum<SwiftVersion>
Swift version.

Since:
  4.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SWIFT3`
  `SWIFT4`
  `SWIFT5`
  Swift 5 major version.
  `SWIFT6`
  Swift 6 major version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getVersion()`
  Returns the Swift language version in numerical value
  `static SwiftVersion`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SwiftVersion[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SWIFT3

    public static final SwiftVersion SWIFT3

  - ### SWIFT4

    public static final SwiftVersion SWIFT4

  - ### SWIFT5

    public static final SwiftVersion SWIFT5
    Swift 5 major version.
    Since:
      5.4

  - ### SWIFT6

    public static final SwiftVersion SWIFT6
    Swift 6 major version.
    Since:
      8.12

- ## Method Details

  - ### values

    public static SwiftVersion[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SwiftVersion valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getVersion

    public int getVersion()
    Returns the Swift language version in numerical value